summaryrefslogtreecommitdiff
path: root/package/ramips/drivers/mt7603e/files/mt7603e.sh
diff options
context:
space:
mode:
Diffstat (limited to 'package/ramips/drivers/mt7603e/files/mt7603e.sh')
-rwxr-xr-xpackage/ramips/drivers/mt7603e/files/mt7603e.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/package/ramips/drivers/mt7603e/files/mt7603e.sh b/package/ramips/drivers/mt7603e/files/mt7603e.sh
new file mode 100755
index 0000000..4b28935
--- /dev/null
+++ b/package/ramips/drivers/mt7603e/files/mt7603e.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+append DRIVERS "mt7603e"
+
+. /lib/wifi/ralink_common.sh
+
+prepare_mt7603e() {
+ prepare_ralink_wifi mt7603e
+}
+
+scan_mt7603e() {
+ scan_ralink_wifi mt7603e mt7603e
+}
+
+disable_mt7603e() {
+ disable_ralink_wifi mt7603e
+}
+
+enable_mt7603e() {
+ enable_ralink_wifi mt7603e mt7603e
+}
+
+detect_mt7603e() {
+# detect_ralink_wifi mt7603e mt7603e
+ ssid=mt7603e #-`ifconfig eth0 | grep HWaddr | cut -c 51- | sed 's/://g'`
+ cd /sys/module/
+ [ -d $module ] || return
+ [ -e /etc/config/wireless ] && return
+ cat <<EOF
+config wifi-device mt7603e
+ option type mt7603e
+ option vendor ralink
+ option band 2.4G
+ option channel 1
+
+config wifi-iface
+ option device mt7603e
+ option ifname ra0
+ option network lan
+ option mode ap
+ option ssid $ssid
+ option encryption psk2
+ option key 12345678
+
+EOF
+
+
+}
+
+